%include	/usr/lib/rpm/macros.perl
Summary:	Nagios plugin to check SIP server/device
Summary(pl.UTF-8):	Wtyczka Nagiosa do sprawdzania urządzeń i serwerów SIP
Name:		nagios-plugin-check_sip
Version:	1.3
Release:	2
License:	GPL
Group:		Networking
Source0:	http://www.bashton.com/downloads/nagios-check_sip-%{version}.tar.gz
# Source0-md5:	6bccc1b1fcd481df7065c6285aadbe25
URL:		http://www.bashton.com/content/nagiosplugins
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.654
Requires:	nagios-core
Requires:	nagios-plugins-libs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_plugindir	%{_libdir}/nagios/plugins
%define		_sysconfdir	/etc/nagios/plugins

%define		_noautoreq_perl utils

%description
This plugin will test a SIP server/device for availability and
response time.

%description -l pl.UTF-8
Wtyczka Nagios-a testująca dostępność i czas odpowiedzi z urządzeń i
serwerów SIP.

%prep
%setup -q -n nagios-check_sip-%{version}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_plugindir}}

sed -e 's,@plugindir@,%{_plugindir},' check_sip > $RPM_BUILD_ROOT%{_plugindir}/check_sip
chmod +x $RPM_BUILD_ROOT%{_plugindir}/check_sip

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README
%attr(755,root,root) %{_plugindir}/*
%changelog
* Sat Jun 01 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nagios-plugin-check_sip.git;a=log;h=master

* Sat Jun 01 2013 Elan Ruusamäe <glen@delfi.ee> ac62568
- rebuild with rpm5 dep generator

* Thu Jan 12 2012 zbyniu <zbyniu@pld-linux.org> 0a72c7f
- up to 1.3

* Tue Mar 24 2009 Elan Ruusamäe <glen@pld-linux.org> b9b6608
- R: nagios-plugins-libs for utils.pm; rel 2

* Sun Jun 08 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 2e65ebe
- up to 1.2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> ba3b418
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> afeb75c
- converted to UTF-8

* Tue May 30 2006 Elan Ruusamäe <glen@pld-linux.org> db4da59
- latin2 encoding for -pl

* Tue May 30 2006 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> f4dcbbe
- init

